openapi: 3.0.1
info:
  title: Wallet of Satoshi Plugin
  description: Plugin for interacting with Lightning and Bitcoin through Wallet of Satoshi.
  version: 'v1'
servers:
  - url: https://www.walletofsatoshi.com
paths:
  /api/v1/wos_stats:
    get:
      operationId: wosStats
      summary: Get the total number of Lightning payments made through Wallet of Satoshi
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/wosStatsResponse'
components:
  schemas:
    wosStatsResponse:
      type: object
      properties:
        c:
          type: number
          description: The total number of Lightning payments made through Wallet of Satoshi for all time.